Bug 369281 - Window list misbehaves
Window list misbehaves
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-06 19:00 EST by Edek Pienkowski
Modified: 2009-12-18 01:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:00:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Edek Pienkowski 2007-11-06 19:00:26 EST
Description of problem: I have a panel on the left, very wide, autohidden - my
favourite position for window list. Windows from all workspaces, never grouped.
When there are more than around 10, they get placed for some reasons in two
columns. Then when I try to click on one of them, the window does not appear,
and they get regrouped to one column, then back to two columns and so forth.


Version-Release number of selected component (if
applicable):gnome-panel-2.20.1-1.fc8


How reproducible:


Steps to Reproduce:
1. Create a left panel, autohide. Move window list there, set it not to group
windows.(Maybe make the panel wide)
2.Create more than around ten windows
3.Try opening/lowering/whatever a window by window list.
(I have 1280x800 resolution, no nvidia drivers yet).
  
Actual results:
The windows in the window list get regrouped back and forth between two columns
and one column. Clicking on one of them does not do anything (except regrouping)


Expected results: 
1. clicking on a window in the window list opens/lowers/whatever the window
2. The windows in window list do not get grouped into two columns for no reason
(there is much more than enough space).

Additional info:
Comment 2 Reid Rivenburgh 2008-04-02 09:32:14 EDT
I'm also seeing this in F9 beta, with gnome-panel-2.22.0-8.  My panel is on the
right and not autohidden.  I can't reliably reproduce this behavior, though it
seems to happen when the window list gets to a certain size.  (There's still
plenty of room in my panel for it to grow, though; maybe when it gets to about
half the available size.)
Comment 3 Bug Zapper 2008-11-26 03:13:23 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-01-09 00:06:19 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Reid Rivenburgh 2009-01-09 00:39:20 EST
I still see this bug with Fedora 10 and gnome-panel-2.24.2-1.fc10.x86_64, but I don't know how to reopen it against F10.  Same symptoms: When there are too many items in my vertical panel, the window list bounces back and forth between one and two columns.  When I move the pointer over the window list, it goes to two columns; when I move it over any other window, it's one column.  It's also difficult to click on an item in the list because that causes the columns to shift, too.
Comment 6 Michael Ward 2009-02-13 00:53:51 EST
I see this bug with Fedora 10 (system update 10 Feb 2009) Window List 2.24.3.  Same symptoms: When I open the 9th window, the window list bounces back and forth between one and two columns even though there is more room in the panel for the list to expand (so fast its difficult to see exactly what is going on - it looks like some sort of weird animation).  When I move the pointer over the window list it just keeps going, making it unusable.  Closing windows does not fix it.  However, if close the 9th window and then left click on it and move it, the animation goes away; if I don't close a window and move it it stays animated.

New AND Improved ;^)
Comment 7 GP 2009-08-19 17:15:56 EDT
Same problem here. When I have more than about 7 windows it goes into two columns despite there being plenty more space, and when I try to click on a window it goes back and forth between one and two columns. Depending on the window in focus, it may stay in one column but still flips back and forth to two columns when I try to click. This makes the side panel almost completely useless.
Comment 8 Bug Zapper 2009-11-18 05:08:29 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-12-18 01:00:11 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.